> ## Documentation Index
> Fetch the complete documentation index at: https://support.i.moneyforward.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get spends by month



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json get /api/v1/organizations/{organizationId}/spends/history-by-month
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/spends/history-by-month:
    get:
      tags:
        - Spends
      summary: Get spends by month
      operationId: publicGetMonthlySpends
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: startDate
          required: true
          in: query
          description: Filter spends by start date.
          schema:
            format: date
            example: '2022-01-01'
            type: string
        - name: endDate
          required: true
          in: query
          description: Filter spends by end date.
          schema:
            format: date
            example: '2022-03-31'
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicGetMonthlySpendsResponseDto'
      security:
        - API-Key: []
components:
  schemas:
    PublicGetMonthlySpendsResponseDto:
      type: object
      properties:
        meta:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/IntersectionMetaCurrencyDtoMetaDateRangeDto'
        spends:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/PublicSpendEntry'
      required:
        - meta
        - spends
    IntersectionMetaCurrencyDtoMetaDateRangeDto:
      type: object
      properties:
        currency:
          type: string
          readOnly: true
          example: jpy
        startDate:
          format: YYYY-MM-DD
          type: string
          readOnly: true
          example: '2021-11-01'
        endDate:
          format: YYYY-MM-DD
          type: string
          readOnly: true
          example: '2022-01-31'
      required:
        - currency
        - startDate
        - endDate
    PublicSpendEntry:
      type: object
      properties:
        date:
          type: string
          readOnly: true
          format: date
          example: '2021-11-01'
        amount:
          type: number
          readOnly: true
          example: 1231231
      required:
        - date
        - amount
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````